Daviplata
How to use Bancolombia to submit a payin in Colombia.
Payin by Daviplata
POST https://gateway-test.pagsmile.com/trade/pay
This endpoint allows you to submit a payin by Bancolombia in Colombia.
Headers
Content-Type*
string
application/json; chartset=UTF-8
Authorization*
string
Basic Base($app_id:$security_key)
Request Body
app_id*
string
Created app's ID at dashboard. Max. 32 chars.
method*
string
Fixed value: Daviplata.
order_currency*
string
Fixed value: COP.
order_amount*
string
Payment amount.
Range: 1,500.00 - 10,000,000.00 .
Only integer.
subject*
string
Payment reason or item title. Max. 128 chars.
content*
string
Payment reason detail or item detail. Max. 255 chars.
timestamp*
string
Format: yyyy-MM-dd HH:mm:ss.
Max. 19 chars.
notify_url*
string
Where Pagsmile will send notification to.
buyer_id*
string
Merchant user's ID.
customer.identify.type*
string
User's identification type
- NIT or CC -
customer.identify.number*
string
User's identification number -NIT: 10 digits,
CC: 6~10 digits -
customer.email*
string
User's email
Example
Please use your own app_id and generate your own authorization token when testing.
Last updated
Was this helpful?